<?php
 require_once("../header.php");
 $caja = $_GET["caja"];

$usuario = $_GET["usuario"];
if($_COOKIE['nivel']!="Master"){
	$usuario = $_COOKIE['usuario'];
}

 require_once("datos_operaciones2.php");

 $sql_usuarios = mysql_query("select * from login order by nombre asc") or die(mysql_error());
 
?>


<style type="text/css" media="print">
.btn, #ttl{
	display:none;
}
</style>

<style type="text/css">
	.panel{
		min-height: 250px;
	}
</style>

<div class="container-fluid">
	   <ol class="breadcrumb">
	    <li><a href="#">Cierre de turno</a></li>
	   
	   
    </ol>
    <span class="h3 text-primary" id="ttl"><i class="bi bi-cash-coin"></i> Movimientos de caja</span><hr>

    <div class="row">

    	<div class="col-md-1 mt-2"><b>Usuario:</b></div>

    	     <div class="col-md-2">
                            <select  class="form-control  mb-2" id="usuario" onChange="consultar()">
                                 <option value="" selected>Todos los usuarios</option>
                                <?php while ($r2 = mysql_fetch_array($sql_usuarios)) { ?>
                                    <option value="<?php echo $r2['nombre'] ?>"><?php echo $r2['nombre'] ?></option>
                                <?php } ?>
                                
                            </select>
                </div> 
				
				
			
				
              <div class="col-md-3  mb-2">
                <button class="btn btn-success" onClick="consultar()"><i class="bi bi-search"></i> Mostrar </button>
				 <button class="btn btn-info" onClick="imprimir()"><i class="bi bi-printer"></i> Cerrar caja </button>
            </div>
    </div>

  
  <span class="h4" id="fecha_apertura"></span>
<script type="text/javascript">
	//$("#lb-caja3").html(estadoCaja);
</script>
    <div class="row">


    	<div class="col-md-3">
    		
		  <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-danger">Balance</h3>
			</div>

			<div class="panel-body">
				
					<b class="text-primary  mt-2">Monto de inicio:</b><br>
					
				<span class="text-primary" id='lb-balance'><?php echo @decimal($inicio)?></span><br><br>
				<hr>
				<b class="text-success  mt-2">Balance del sistema:</b><br>
				<b><span class="text-primary h2" id='lb-balance'><?php echo @decimal($bala)?></span></b><br><br>

			</div>

			</div>
			<hr>
			
			<input type="hidden" class="form-control" id="ibalance" value="<?php echo $bala;?>">
		<div class="row">
				<div class="col-md-6">
				<b>Efectivo en caja</b><br>
				<input typ="number" class="form-control" id="efectivo" onKeyUp="calculo()">
			</div>
				
				<div class="col-md-6">
					<b>Diferencia</b><br>
			<input typ="number" class="form-control" id="diferencia" readonly value="<?php echo $bala;?>">
				</div>
				
			</div>
    	</div>

    	<div class="col-md-3">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-success">Ventas</h3>
			</div>

			<div class="panel-body">
					<b class="text-primary  mt-2"><b>Intresos ventas:</b></b>
				
				<b class="text-primary pull-right" id='lb-venta-efectivo'><?php echo decimal(@mysql_result($totalVentaContado,0,"total"));?></b><br>


				
				<span class="text-danger  mt-2"><b>Efectivo:</b></span>
				<span class="text-danger pull-right" id='lb-venta-efectivo'><?php echo decimal(mysql_result($ventas_efectivo,0,"total"));?></span><br>

				
				<span class="text-danger  mt-2"><b>Venta a credito:</b></span>
				<span class="text-danger pull-right" id='lb-venta-credito'><?php echo decimal(mysql_result($ventas_credito_total,0,"total"));?></span><br>

				<span class="text-primary  mt-2"><b>Ventas con tarjeta:</b></span>
				<span class="text-primary pull-right" id='lb-venta-tarjeta'><?php echo @decimal(mysql_result($ventas_tarjeta_total,0,"total"));?></span><br>
				<span class="text-primary  mt-2"><b>Transferencias:</b></span>
				<span class="text-primary pull-right" id='lb-venta-trasnferencia'><?php echo @decimal(mysql_result($ventas_transferencia_total,0,"total"));?></span><br>

				<hr>
				<span class="text-success  mt-2"><b>Devoluciones:</b></span>
				<span class="text-success pull-right" id='lb-devoluciones'><?php echo decimal(@mysql_result($devoluciones,0,"total"));?></span><br>
			</div>

			</div>
    	</div>


    	<div class="col-md-3">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-primary">Ingreso</h3>
			</div>

			<div class="panel-body">
				<span class="text-success  mt-2"><b>Pagos de credito:</b></span>
				<span class="text-success pull-right" id='lb-pagos'><?php echo decimal(@mysql_result($pagos_credito,0,"total"));?></span><br>
				<span class="text-success  mt-2"><b>Otros ingresos:</b></span>
				<span class="text-success pull-right" id='lb-otros-ingresos'><?php echo decimal(@mysql_result($otros_ingresos,0,"total"));?></span><br>
				
			</div>

			</div>
    	</div>

    	<div class="col-md-3">
		   <div class="panel1 panel-default">
			<div class="panel-heading">
				<h3 align="center" class="text-danger">Egreso</h3>
			</div>

			<div class="panel-body">
				<span class="text-success  mt-2"><b>Pago cuentas por pagar:</b></span>
				<span class="text-success pull-right" id='lb-egresos'><?php echo decimal(@mysql_result($pagos_proveedor,0,"total"));?></span><br>
				<span class="text-success  mt-2"><b>Otros Egresos:</b></span>
				<span class="text-success pull-right" id='lb-otros-egresos'><?php echo decimal(@mysql_result($otros_egresos,0,"total"));?></span><br>
				
			</div>

			</div>
    	</div>

    	

    </div>
</div>



<script type="text/javascript">
if(myLevel=="Master"){
	var uu = "<?php echo $_GET['usuario']?>";
	if(uu!=""){
	$(".btn").hide()
	setTimeout(function(){
		$("#usuario option[value='"+uu+"']").prop('selected', true);
		$(".btn").show()
	},2000)
}
}

$("#usuario option[value='"+myUser+"']").prop('selected', true);

if(myLevel!="Master"){
	
	$("#usuario").prop("disabled", true);
	
}

function calculo(){
	var efe = $("#efectivo").val()
	var bal = "<?php echo $bala;?>";
	var dif = efe - bal;
	$("#diferencia").val(dif)
}
function imprimir(){
	var usuario = $("#usuario").val()
	var efectivo = $("#efectivo").val()
	var diferencia = $("#diferencia").val()
	var balance = $("#ibalance").val()
	
	if(balance<=0 || balance==""){
		////alert("Verifique el balance!");
		/////return;
	}
	
		if(usuario==""){
		alert("Debe seleccionar el usuario");
		return;
	}
	if(!confirm("Seguro(a) que de sea realizar el cierre para este usuario")){return;}
	

	
	$.get("cerrar_todas_operaciones2.php?usuario="+usuario+"&efectivo="+efectivo+"&diferencia="+diferencia+"&balance="+balance, function(data, st){
		if(st=="success"){
			if(data==1){
				
				///window.print();
				document.write("Caja cerrada con exito!");
			    imprimir_cuadre();
				setTimeout(function(){
				
				window.location.href="../menu/menu.php";
				},3000)
			
			}else{
				alert(data)
			}
		}
	} )
			
}

 var balance=0.00;
 var ingresos_credito=0
 var ingresos_otros=0
 var egresos_compras=0
 var egresos_devoluciones=0;
 var egresos_otros=0
var ingreso_inicio=0
var ingreso_venta=0

	cashState(myCaja)
	var seceuncia="";
              function cashState(caja){
                var sql = "select * from apertura_caja where caja='"+caja+"' order by id desc limit 1";
                _enviar("../php/traer_datos.php",{sql:sql})
                .done( function( data ){
                  var rs = JSON.parse(data);
                  estadoCaja = rs.data[0].estado;
				  secuencia = rs.data[0].id+"-"+myCaja;
				  ///alert(secuencia)

                   $("#lb-caja3").html("Caja: "+myCaja);
                    ////$("#fecha_apertura").html("Fecha apertura: "+rs.data[0].hora_apertura);
                })
              }
	function cerrar(){
		if(estadoCaja=="Cerrado"){alert("Esta caja ya habia cerrado el turno"); return;}
		if(!confirm("Seguro de cerrar este turno?")){return;}
		var param ="fecha="+$("#fecha_apertura").html();
			param +="&usuario="+$("#lb-caja3").html();
			param +="&inicio="+$("#lb-inicio").html();
			param +="&balance="+$("#lb-balance").html();
			param +="&usuario="+myUser;
			param +="&secuencia="+secuencia;
			param +="&diferencia="+$("#lb-diferencia").html();
			param +="&venta-efectivo="+$("#lb-venta-efectivo").html();
			param +="&venta-contado="+$("#lb-venta-contado").html();
			param +="&venta-credito="+$("#lb-venta-credito").html();
			param +="&venta-cheque="+$("#lb-venta-cheque").html();
			param +="&venta-tarjeta="+$("#lb-venta-tarjeta").html();
			param +="&devoluciones="+$("#lb-devoluciones").html();
			param +="&pagos="+$("#lb-pagos").html();
			param +="&otros-ingresos="+$("#lb-otros-ingresos").html();
			param +="&egresos="+$("#lb-egresos").html();
			param +="&otros-egresos="+$("#lb-otros-egresos").html();
			param +="&conteo="+$("#txt-conteo").val();
			param +="&tipo=save";

		var sql = "update apertura_caja set fecha_cierre=NOW(), hora_cierre=NOW()";
			sql+=", contado='"+$("#txt-conteo").val()+"'"
			sql+=", balance='"+miBalance+"'"
			sql+=", venta_efectivo='"+$("#lb-venta-efectivo").html()+"'"
			sql+=", diferencia='"+miDiferencia+"'"
			sql+=", estado='Cerrado' where usuario='"+myUser+"' and estado!='Cerrado'";
		_enviar("../php/update.php",{sql:sql})
		.done( function  ( data ){
			if(data=="1"){alert("Caja cerrada satisfactoriamente!"); 
			  localStorage.setItem("estado_caja", "cerrada");
			 if($("#tipo_vista").val()=="Detallado"){
				window.location.href = '../reportes/rptCierreTurnoDetallado.php?'+param
			 }else{
			  window.location.href = '../reportes/rptCierreTurno.php?'+param
			 }
			 setTimeout(function(){
			  	window.location.href="turnos_caja.php"
			  },2000)
			 }else{alert(data)}
		})
	}
	
function consultar(){
	var usuario = $("#usuario").val();
	var fecha1 = $("#fecha1").val();
	var fecha2 = $("#fecha2").val();
	window.location.href="operaciones2.php?usuario="+usuario;
	
}


function imprimir_cuadre(){
	$.get("ultimo_cuadre.php", function(data, st){
		if(st=="success"){
			if(data==1){
			window.open('../reportes/rptCierreTutrno.php?id='+data,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=250,height=900');

			}
		}
	})
}
/*

seceuncia();
  var secuencia="";
  function seceuncia(){
	var inicio=0;
    var sql = "select * from apertura_caja where caja='" + myCaja + "' and estado='Abierto' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
		inicio = rs.data[0].monto_apertura;
		$("#lb-inicio").html(numeral(inicio).format('0,0.00'));
		balance+=parseFloat(inicio);
		ingreso_inicio = inicio
		
        ventas();
		

      })
  }

  function ventas(){
	var c_contado=0;  ///Cantidad ventas al contado
	var t_contado=0;  ///Total de ventas al contado
	var c_credito=0;  ///Cantidad de ventas a credito
	var t_credito=0;  ///Total de ventas a credito
	var c_cheque=0;  ///Cantidad de ventas a cheque
	var t_cheque=0;  ///Total de ventas a cheque
	var c_tarjeta=0;  ///Cantidad de ventas a tarjeta
	var t_tarjeta=0;  ///Total de ventas a tarjeta
	
    var sql = "select * from ventas where secuencia='" + secuencia + "' and estado!='Anulada'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].termino=="Contado"){
				c_contado++;
				t_contado+=parseFloat(rs.data[i].total);
				
			
				
				
			}
			
			if(rs.data[i].termino=="Credito"){
				c_credito++;
				t_credito+=parseFloat(rs.data[i].total);
			}

			if(rs.data[i].termino=="Cheque"){
				c_cheque++;
				t_cheque+=parseFloat(rs.data[i].total);
				
			}

			if(rs.data[i].termino=="Tarjeta"){
				c_tarjeta++;
				t_tarjeta+=parseFloat(rs.data[i].total);
			}

			$("#lb-venta-contado").html(c_contado+"("+numeral(t_contado).format('0,0.00')+")");
			$("#lb-venta-credito").html(c_credito+"("+numeral(t_credito).format('0,0.00')+")");
			$("#lb-venta-cheque").html(c_cheque+"("+numeral(t_cheque).format('0,0.00')+")");
			$("#lb-venta-tarjeta").html(c_tarjeta+"("+numeral(t_tarjeta).format('0,0.00')+")");
			ingreso_venta = t_contado;
		
		
		}
			pagos()
      })
  }




  function pagos(){
	var c_pagos=0;  ///Cantidad ventas al contado
	var t_pagos=0;  ///Total de ventas al contado
	var c_otros=0;  ///Cantidad ventas al contado
	var t_otros=0;  ///Total de ventas al contado
	
    var sql = "select * from ingresos where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].tipo=="Credito"){
				c_pagos++;
				t_pagos+=parseFloat(rs.data[i].monto);
				
				
				
			}
			if(rs.data[i].tipo=="Otros"){
				c_otros++;
				t_otros+=parseFloat(rs.data[i].monto);
				
				
			}
			
		
			$("#lb-pagos").html(c_pagos+"("+numeral(t_pagos).format('0,0.00')+")");
			$("#lb-otros-ingresos").html(c_otros+"("+numeral(t_otros).format('0,0.00')+")");
			//ingresos+=parseFloat(t_pagos)
			ingresos_credito=t_pagos
			ingresos_otros = t_otros
		}
		
		
		devoluciones();
		
      })
  }



  function devoluciones(){
	var c_devoluciones=0;  ///Cantidad devoluciones
	var t_devoluciones=0;  ///Total de devoluciones
	
	
    var sql = "select * from devoluciones where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
				c_devoluciones++;
				t_devoluciones+=parseFloat(rs.data[i].importe);

			
			
			
		}
		
		$("#lb-devoluciones").html("<span class='text-danger'>"+c_devoluciones+"("+numeral(t_devoluciones).format('0,0.00')+")</span>");
			
			egresos_devoluciones=t_devoluciones;
		 iegresos();
      })
  }
  
   
    function iegresos(){
	var men=0;	
	var c_egresos=0;  ///Cantidad ventas al contado
	var t_egresos=0;  ///Total de ventas al contado
	var c_egresos_otros=0;  ///Cantidad ventas al contado
	var t_egresos_otros=0;  ///Total de ventas al contado
	
    var sql = "select * from egresos where secuencia='" + secuencia + "'";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        for(var i in rs.data){
			

			if(rs.data[i].tipo=="Produccion" || rs.data[i].tipo=="Compras" || rs.data[i].tipo=="Pago"){
				c_egresos++;
				t_egresos+=parseFloat(rs.data[i].monto);
				
				
				
			}
			
			
			if(rs.data[i].tipo=="Otros"){
				c_egresos_otros++;
				t_egresos_otros+=parseFloat(rs.data[i].monto);
				
				
			}



		
			$("#lb-egresos").html(c_egresos+"("+numeral(t_egresos).format('0,0.00')+")");
			$("#lb-otros-egresos").html(c_egresos_otros+"("+numeral(t_egresos_otros).format('0,0.00')+")");
			egresos_otros=t_egresos_otros;
			egresos_compras=t_egresos;
			
			
		}
	
		balance=0
		
      })
  }
  */
  var miBalance=0
  var miDiferencia=0
  setInterval(function(){
	  ///$("#lb-balance").html(numeral(parseFloat(ingreso_inicio)+parseFloat(ingreso_venta) + parseFloat(ingresos_credito)+parseFloat(ingresos_otros) - (parseFloat(egresos_compras) + parseFloat(egresos_otros) + parseFloat(egresos_devoluciones))).format('0,0.00'))
	  miBalance = parseFloat("<?php echo $bala?>")
 },500)

function cal(){
	var contado = $("#txt-conteo").val();
	var diferencia =parseFloat(contado) - parseFloat(miBalance)
	$("#lb-diferencia").html(numeral(diferencia).format('0,0.00'))
	miDiferencia = diferencia
}

function cierre_preview(){
		var param ="fecha="+$("#fecha_apertura").html();
			param +="&usuario="+myUser;
			param +="&inicio="+$("#lb-inicio").html();
			param +="&balance="+$("#lb-balance").html();
			param +="&conteo="+$("#txt-conteo").val();
			param +="&diferencia="+$("#lb-diferencia").html();
			param +="&venta-efectivo="+$("#lb-venta-efectivo").html();
			param +="&venta-contado="+$("#lb-venta-contado").html();
			param +="&venta-credito="+$("#lb-venta-credito").html();
			param +="&venta-cheque="+$("#lb-venta-cheque").html();
			param +="&venta-tarjeta="+$("#lb-venta-tarjeta").html();
			param +="&devoluciones="+$("#lb-devoluciones").html();
			param +="&pagos="+$("#lb-pagos").html();
			param +="&otros-ingresos="+$("#lb-otros-ingresos").html();
			param +="&egresos="+$("#lb-egresos").html();
			param +="&otros-egresos="+$("#lb-otros-egresos").html();
			param +="&secuencia="+secuencia;
			
			 if($("#tipo_vista").val()=="Detallado"){
				window.location.href = '../reportes/rptCierreTurnoDetallado.php?'+param
			 }else{
			  window.location.href = '../reportes/rptCierreTurno.php?'+param
			 }
		
}

</script>

<?php 

?>